Bug 255363

Summary: cad/PrusaSlicer: update to 2.3.1
Product: Ports & Packages Reporter: teodorsigaev <teodorsigaev>
Component: Individual Port(s)Assignee: Michael Zhilin <mizhka>
Status: Closed FIXED    
Severity: Affects Many People CC: eborisch+FreeBSD, maciej, mizhka, ports, swills, teodorsigaev, trombik1973
Priority: ---    
Version: Latest   
Hardware: Any   
OS: Any   
Bug Depends on: 252788    
Bug Blocks: 256079    
Attachments:
Description Flags
Update to 2.3.1
none
patch to update to 2.3.3 and onetbb teodorsigaev: maintainer-approval+

Description teodorsigaev@gmail.com 2021-04-24 13:14:11 UTC
Created attachment 224399 [details]
Update to 2.3.1

New version PrusaSlicer has been released, new version is 2.3.1.
Comment 1 Neal Nelson 2021-04-30 07:57:25 UTC
Would it be possible to change the dependency from devel/tbb to devel/onetbb, as other ports seem to have moved over to this and now conflict with this port? This dependency currently makes it impossible to install graphics/blender, for example.
Comment 2 teodorsigaev@gmail.com 2021-04-30 08:23:55 UTC
I tried it, but onetbb doesn't support all features from tbb and PrusaSlicer depends on that.
Comment 3 Steve Wills freebsd_committer 2021-08-14 23:09:45 UTC
Created attachment 227200 [details]
patch to update to 2.3.3 and onetbb

Here's a patch
Comment 4 teodorsigaev@gmail.com 2021-09-14 08:59:23 UTC
Sorry, but what is a stopper of this fix?
Comment 5 eborisch+FreeBSD 2021-09-15 02:06:00 UTC
Just my 2c confirming this patch (plus removing the BROKEN line) generates a functioning PrusaSlicer. (Tested on 13.0-p4)
Comment 6 Michael Zhilin freebsd_committer 2021-09-15 09:36:08 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=8a4af427075f66baf4fedbbaba03ffc7f3f1f536

commit 8a4af427075f66baf4fedbbaba03ffc7f3f1f536
Author:     Steve Wills <swills@FreeBSD.org>
AuthorDate: 2021-09-15 09:30:06 +0000
Commit:     Michael Zhilin <mizhka@FreeBSD.org>
CommitDate: 2021-09-15 09:32:10 +0000

    cad/PrusaSlicer: Update to 2.3.3

    - Update to 2.3.3
    - Change the dependency from devel/tbb to devel/onetbb

    ChangeLog: https://github.com/prusa3d/PrusaSlicer/releases/tag/version_2.3.3

    PR:             258483
    Submitted by:   Steve Wills <swills@FreeBSD.org>
    Reported by:    teodorsigaev@gmail.com (tested), eborisch+FreeBSD@gmail.com (tested)

 cad/PrusaSlicer/Makefile                           |   4 +-
 cad/PrusaSlicer/distinfo                           |   6 +-
 cad/PrusaSlicer/files/patch-CMakeLists.txt         |   6 +-
 .../files/patch-cmake_modules_FindTBB.cmake (new)  | 738 +++++++++++++++++++++
 .../files/patch-src_avrdude_main.c (new)           |  11 +
 .../files/patch-src_libslic3r_CMakeLists.txt       |   4 +-
 .../files/patch-src_libslic3r_Platform.cpp (new)   |  13 +
 .../files/patch-src_libslic3r_Platform.hpp (new)   |  10 +
 .../files/patch-src_libslic3r_Print.cpp (new)      |  29 +
 .../files/patch-src_libslic3r_PrintBase.cpp (new)  |  11 +
 .../files/patch-src_libslic3r_PrintBase.hpp (new)  | 118 ++++
 .../patch-src_libslic3r_PrintObject.cpp (new)      |  10 +
 .../files/patch-src_libslic3r_SLAPrint.cpp (new)   |  47 ++
 .../patch-src_libslic3r_SLA_Concurrency.hpp (new)  |  20 +
 .../patch-src_libslic3r_SLA_SupportTree.cpp (new)  |  12 +
 .../patch-src_libslic3r_SupportMaterial.cpp (new)  |  10 +
 .../files/patch-src_libslic3r_Thread.cpp           |  71 +-
 .../files/patch-src_libslic3r_pchheader.hpp (new)  |  15 +
 .../files/patch-src_libslic3r_utils.cpp (new)      |  22 +
 ...c_slic3r_GUI_BackgroundSlicingProcess.cpp (new) |  29 +
 ...c_slic3r_GUI_BackgroundSlicingProcess.hpp (new) |  11 +
 .../patch-src_slic3r_GUI_InstanceCheck.hpp (new)   |  11 +
 ...atch-src_slic3r_GUI_Mouse3DController.cpp (new) | 154 +++++
 ...atch-src_slic3r_GUI_Mouse3DController.hpp (new) |  49 ++
 .../files/patch-src_slic3r_GUI_OpenGLManager.cpp   |   4 +-
 ...-src_slic3r_GUI_RemovableDriveManager.cpp (new) | 104 +++
 ...-src_slic3r_GUI_RemovableDriveManager.hpp (new) |  23 +
 27 files changed, 1493 insertions(+), 49 deletions(-)